Subject: RE: Source of Informaion on devfs

From: George France <[email-masked]>
Date: Wed, 23 Aug 2000 14:27:57 -0400

Richard Gooch has a web page on devfs at:

http://www.atnf.csiro.au/~rgooch/linux/docs/devfs.html

I think it has all the data that you need.

Have fun,

--George

George France,      [email-masked]
Cambridge Research Laboratory, Compaq Computer Corporation
One Cambridgecenter    MS: CRL
Cambridge, MA 02142 USA

> -----Original Message-----
> From: Erik Mouw [mailto:[email-masked]]
> Sent: Wednesday, August 23, 2000 11:08 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: Source of Informaion on devfs
> 
> 
> On Wed, 23 Aug 2000 22:54:33 KST, Byung-Soo Kim wrote:
> > Sorry this question is not arm-linux specific,
> > but the majordomo of linux-kernel seems to be broken.
> 
> Correct, vger.rutgers.edu died last week. Use vger.kernel.org instead.
> 
> > I'm a kernel newbie who is about to write a device driver. 
> > I have read a few books on kernel programming
> > and device driver writing, but found that 
> > "real" device drivers in -test6 kernel have 
> > a lot of features not described in any book. 
> > I believe there exists an official web site 
> > maintaining up-to-date information - or history log - 
> > on how to use the kernel services such as devfs, 
> > kernel timer, wait queue, and so on. 
> 
> AFAIK, there is no such web site. I always use the source of the other
> drivers for inspiration. How to use devfs will be the least of your
> worries, getting your first driver to work at all will be much more
> difficult.
> 
> > Where did authors of the device drivers in -test6
> > learn the usage of devfs ? 
> 
> Most of them didn't. Richard Gooch (the author of devfs) 
> changed quite a
> lot of drivers. There is also quite a lot of information in
> Documentation/filesystems/devfs/ in the 2.4.0-test6 kernel.
> 
> 
> Erik
> 
> -- 
> J.A.K. (Erik) Mouw, Information and Communication Theory 
> Group, Department
> of Electrical Engineering, Faculty of Information Technology 
> and Systems,
> Delft University of Technology, PO BOX 5031,  2600 GA Delft, 
> The Netherlands
> Phone: +31-15-2783635  Fax: +31-15-2781843  Email: 
> [email-masked]
> WWW: http://www-ict.its.tudelft.nl/~erik/
> 
> 
> 
> 
> 
> unsubscribe: body of `unsubscribe linux-arm-kernel' to 
> [email-masked]
> 

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]